searchNodes=[{"doc":"SNTP v4 client RFC4330 for Elixir","ref":"SNTP.html","title":"SNTP","type":"module"},{"doc":"Returns the system time in milliseconds. If the SNTP.Retriever is running then it will return the adjusted system time. Examples iex&gt; SNTP . now ( ) System . system_time ( 1000 )","ref":"SNTP.html#now/0","title":"SNTP.now/0","type":"function"},{"doc":"Returns the latest retrieved offset from the SNTP.Retriever Examples iex&gt; SNTP . offset ( ) { :ok , 12 } iex&gt; SNTP . offset ( ) { :error , { SNTP.RetrieverError , &quot;SNTP Retriever is not started&quot; } }","ref":"SNTP.html#offset/0","title":"SNTP.offset/0","type":"function"},{"doc":"Starts the SNTP.Retriever options are an Enumerable.t() with these keys: auto_start is a boolean() defaults to true retreive_every is a non_neg_integer() defaults to 86400000 every 24 hour host is binary() | charlist() defualts to 'pool.ntp.org' port is an non_neg_integer() between 0..65535 defualts to 123 timeout is an non_neg_integer() defualts to :infinity resolve_reference is a boolean() defualts to false Examples iex&gt; SNTP . start ( ) { :ok , # PID &lt; 0 . 000 . 0 &gt; }","ref":"SNTP.html#start/1","title":"SNTP.start/1","type":"function"},{"doc":"Stops the SNTP.Retriever Examples iex&gt; SNTP . stop ( ) :ok","ref":"SNTP.html#stop/1","title":"SNTP.stop/1","type":"function"},{"doc":"Sends a new NTP request on an SNTP.Socket and gracefully closes the socket. Returns {:ok, %SNTP.Timestamp{}} or {:error, reason} options an Enumerable.t() with these keys: host is binary() | charlist() defualts to 'pool.ntp.org' port is an non_neg_integer() between 0..65535 defualts to 123 timeout is an non_neg_integer() defualts to :infinity resolve_reference is a boolean() defualts to false Examples iex&gt; { :ok , timestamp } = SNTP . time ( ) iex&gt; timestamp . is_valid? true iex&gt; SNTP . time ( host : &#39;ntp.exnet.com&#39; , port : 123 , timeout : 100 ) ) { :error , [ timeout : &quot;Server Timeout after 100&quot; ] }","ref":"SNTP.html#time/1","title":"SNTP.time/1","type":"function"},{"doc":"Exception raised when the retriever is not started.","ref":"SNTP.RetrieverError.html","title":"SNTP.RetrieverError","type":"exception"},{"doc":"SNTP SNTP v4 client RFC4330 for Elixir","ref":"readme.html","title":"SNTP","type":"extras"},{"doc":"iex&gt; SNTP . time ( ) { :ok , % Timestamp { } } iex&gt; SNTP . offset ( ) { :ok , offset } iex&gt; SNTP . now ( ) 1504292984738 iex&gt; SNTP . start ( ) # PID &lt; 0 . 000 . 0 &gt; iex&gt; SNTP . stop ( ) :ok","ref":"readme.html#examples","title":"SNTP - Examples","type":"extras"},{"doc":"hex documentation for sntp","ref":"readme.html#documentation","title":"SNTP - Documentation","type":"extras"},{"doc":"def deps do [ { :sntp , &quot;~&gt; 0.2.0&quot; } ] end","ref":"readme.html#installation","title":"SNTP - Installation","type":"extras"},{"doc":"This client was made thanks to sntp as an implementation in Elixir.","ref":"readme.html#acknowledgement","title":"SNTP - Acknowledgement","type":"extras"},{"doc":"(The MIT License) Copyright (c) 2017 Benjamin Schultzer Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the 'Software'), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED 'AS IS,' WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"readme.html#license","title":"SNTP - LICENSE","type":"extras"},{"doc":"","ref":"changelog.html","title":"CHANGELOG","type":"extras"},{"doc":"Bug Fixes Fix bug that prevented usage on Elixir v1.12 .","ref":"changelog.html#sntp-v0-2-2-may-31-2021","title":"CHANGELOG - SNTP v0.2.2 May 31, 2021","type":"extras"},{"doc":"Bug Fixes Fix bug that prevented the retriever to start via mix config.","ref":"changelog.html#sntp-v0-2-1-july-20-2018","title":"CHANGELOG - SNTP v0.2.1 July 20, 2018","type":"extras"},{"doc":"Bug Fixes Fix calculation bug there resulted in invalid timestamp Breaking Changes time/1 now return {:ok, %Timestamp{}} or {:error, [{error, reason} ...]} time!/1 has been removed use time/1 offset/0 now retrun {:ok, integer()} or {:error, {RetriverError, &quot;SNTP Retriver is not started&quot;}} when the SNTP.Retriver hasn't been started now/1 if the SNTP.Retriver is started it will now the calculated system time with the retrieved offset. Enhancements start/1 starts the SNTP.Retriever which periodically receives an NTP timestamp. defaults to every 24 hours stop/1 stops the SNTP.Retriever","ref":"changelog.html#sntp-v0-2-0-june-17-2018","title":"CHANGELOG - SNTP v0.2.0 June 17, 2018","type":"extras"},{"doc":"Enhancements Initial","ref":"changelog.html#sntp-v0-1-0-september-1-2017","title":"CHANGELOG - SNTP v0.1.0 September 1, 2017","type":"extras"}]